homepage/urls.py
from django.urls import path
from . import views

app_name = 'homepage'

urlpatterns = [
    path('', views.home, name='home'),
    path('hobbies/', views.hobbies, name='hobbies'),
    path('schedule/', views.schedule, name='schedule'),
    path('add_schedule/', views.schedule_form, name='schedule_form'),
    path('delete_schedule/<id>', views.delete_schedule, name='delete_schedule'),
]

story_01/urls.py
from django.contrib import admin
from django.urls import re_path, include

urlpatterns = [
    re_path('admin/', admin.site.urls),
    re_path('', include('homepage.urls')),
]

homepage/models.py
from django.db import models
from django.forms import ModelForm

days = [
    ('Mon', 'Monday'),
    ('Tue', 'Tuesday'),
    ('Wed', 'Wednesday'),
    ('Thu', 'Thursday'),
    ('Fri', 'Friday'),
    ('Sat', 'Saturday'),
    ('Sun', 'Sunday'),
]


activites_categories = [
    ('Academic', 'Academic'),
    ('Organization', 'Organization'),
    ('Committee', 'Committee'),
]

class Schedule(models.Model):
    day = models.CharField(max_length=20, choices=days)
    date = models.DateField()
    time = models.TimeField()
    activities = models.CharField(max_length=200)
    place = models.CharField(max_length=100)
    categories = models.CharField(max_length=20, choices=activites_categories)

homepage/forms.py
from django import forms
from .models import Schedule

class DateInput(forms.DateInput):
    input_type = 'date'


class TimeInput(forms.TimeInput):
    input_type = 'time'

class ScheduleForm(forms.ModelForm):
    class Meta:
        model = Schedule
        fields = ['day', 'date','time','activities', 'place', 'categories']
        widgets = {
            'day' : forms.Select(attrs={
					'class': 'form-control'
					}),
            'date' : DateInput(attrs={
					'class': 'form-control'
					}),
            'time' : TimeInput(attrs={
					'class': 'form-control'
					}),
            'activities' : forms.TextInput(attrs={
					'class': 'form-control'
					}),
            'place' : forms.TextInput(attrs={
					'class': 'form-control'
					}),
            'categories' : forms.Select(attrs={
					'class': 'form-control'
					}),
        }

homepage/views.py
from django.shortcuts import render
from .models import Schedule
from .forms import ScheduleForm
from django.views.generic.edit import DeleteView

# Create your views here.
def home(request):
    return render(request, 'home.html')

def hobbies(request):
    return render(request, 'hobbies.html')

def schedule(request):
    #Cek apakah request berasal dari halaman form di mana request tersebut memiliki method POST
    #Karena bisa saja request berasal dari halaman lain(misal profile, dll)
    if request.method == "POST":
        #memasukkan field yang telah terisi mjd instance dr ScheduleForm
        form = ScheduleForm(request.POST)
        #Jika input dari user valid
        if form.is_valid():
            form.save()
        else:
            form = ScheduleForm()
            arguments = {
                'form' : form,
            }
            return render(request, 'schedule_form.html',arguments)

    arguments = {
        'schedules': Schedule.objects.all(),
    }
    return render(request, 'schedule.html', arguments)

def schedule_form(request):
    #Membuat instance dari form yg masih kosong
    form = ScheduleForm()
    arguments = {
        'form' : form,
    }
    return render(request, 'schedule_form.html',arguments)


def delete_schedule(request, id):
    unschedule = Schedule.objects.filter(id=id)[0]
    unschedule.delete()
    arguments = {
        'schedules': Schedule.objects.all(),
    }
    return render(request,'schedule.html',arguments)



    

homepage/templates/base.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Lika's Blog</title>
    <link type="text/css" rel="stylesheet" href="{% static '/css/styles.css' %}" >
    <link rel="stylesheet" type="text/css" href="{% static '/css/bootstrap.css' %}">
    <link href="https://fonts.googleapis.com/css?family=Amiri&display=swap" rel="stylesheet">
</head>

<body>
    <nav class = "navbar navbar-expand-lg navbar-light sticky-top">
            <button type="button" class="navbar-toggler" data-toggle="collapse" data-target="#navbarMenu" aria-controls="navbarMenu" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
            </button>
            <div class = "collapse navbar-collapse" id = "navbarMenu">
                    <ul class="navbar-nav mr-auto mt-2 mt-lg-0"></ul>
                    <form class="form-inline my-2 my-lg-0">
                            <a class="nav-link" href="/#home">Home</a>
                            <a class="nav-link" href="/#profile">Profile</a>
                            <a class="nav-link" href="/#activities">Activities</a>
                            <a class="nav-link" href="/#skills">Skills</a>
                            <a class="nav-link" href="/#contact">Contact</a>
                    </form>
            </div>
    </nav>

    {% block content %}
    {% endblock %}

    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.15.0/esm/popper-utils.js"></script>
    <script src="{% static 'js/bootstrap.bundle.min.js' %}"></script>

</body>
</html>

homepage/templates/delete_schedule.html
{% extends './base.html' %}
{% load static %}


{% block content %}

{% endblock %}

homepage/templates/hobbies.html
{% extends './base.html' %}
{% load static %}

{% block content %}
        <div id="hobbies">
            <div class="container">
                <div class="row">
                        <div class="col-md-12 col-sm-12">
                                <h1 id="title-1" 
                                        style="padding-bottom: 8vh;
                                        text-align: center;
                                        font-size: 5.5rem;">
                                        The reasons why I love
                                </h1>
                        </div>
                </div>

                <div class="row">
                        <div class="col-md-6 col-sm-12">
                                <h1><strong>Travelling</strong></h1>
                                <h2>"Cover the Earth before It Covers You"</h2>
                                <img src="https://files.catbox.moe/y99k7w.jpg" class="img-fluid photo" style="margin-top:4vh;">
                                <p>I love travelling because i want to explore new places, people and cultures. These experiences
                                    makes me developing a wider world view for myself. So far, the best country i've ever visited was Thailand.
                                    Thaliand has cheap and delicious foods (I guarantee that you should never have to eat the same dish twice),
                                    friendly locals, and unique temples.
                                </p>
                        </div>

                        <div class="col-md-6 col-sm-12">
                                <h1><strong>Culinary</strong></h1>
                                <h2>"Good Food Equals Good Mood"</h2>
                                <img src="https://files.catbox.moe/g8pg5e.jpg" class="img-fluid photo" style="margin-top:10vh;">
                                <p>Proper foods always help me to get back in the mood. I define proper foods as foods that have unique taste
                                or nutritious. One of my favorite foods is Sushi since it contains high-protein from the salmon or nori.
                                </p>
                        </div>
                </div>
                
                <div class="row">
                        <div class="col-md-12 col-sm-12">
                                <a class="btn btn-secondary back-button" href="/#profile" role="button">Back to Profile</a>
                        </div> 
                </div>
        </div>
{% endblock %}

homepage/templates/home.html
{% extends './base.html' %}
{% load static %}


{% block content %}
        <div id="home">
                <div class="container">
                        <div class="row">
                                <div class="col-md-4 col-sm-12">
                                        <img src="https://files.catbox.moe/c09j15.jpg" class="img-fluid photo-lika" alt="Lika's Photo" style="padding-top: 2vh;">
                                </div>
                                <div class="col-md-8 col-sm-12" style="padding-top: 2vh;">
                                        <h2 style="font-size: 3rem;">Hello,</h2>
                                        <h1 id="title-1" style="padding: 0rem 0rem 0rem 1.5rem;">I'm Lika</h1>
                                        <h3 id="brief-desc">An undergraduate Computer Science Student at University of Indonesia</h3>
                                </div>
                        </div>
                </div>
        </div>
        
        <div id="profile">
                <div class="container">
                        <div class="row">
                                <h1 class="col-md-12 col-sm-12" id="my-profile">My Profile</h1>
                        </div>
        
                        <div class="row">
                                <div class="col-md-4 col-sm-12 flx">
                                        <img src="https://files.catbox.moe/c09j15.jpg" class="img-fluid photo-lika" alt="Lika's Photo">
                                        <a class="btn btn-primary resume" href="https://files.catbox.moe/yqlz6u.pdf" role="button">View my resume</a>
                                </div>
        
                                <div class="col-md-8 col-sm-12">
                                        <h2 ><strong>About</strong></h2>
                                        <ul id="about">
                                                <li>Full Name: Louisa Natalika Jovanna</li>
                                                <li>Nickname: Lika</li>
                                                <li>Education: A Computer Science Undergraduate Student at University of Indonesia</li>
                                                <li>Hobby:<a href="/hobbies" style="color:  #E58E8E;"> Travelling and Culinary</a></li>
                                        </ul>
                                                
                                        <h2><strong>Description</strong></h2>
                                        <p style="padding-left: 3rem;">Hi there, my name is Lika. 
                                                I'm an undergraduate computer science  student at University of Indonesia.
                                                Currently, I'm still learning how to code fast and properly.
                                                One of my passion is in technology field. Besides that, 
                                                I'm interested also in joining non-academic activites because 
                                                it can helps me to learn new things that can't be learnt through college.
                                        </p>
                                </div>
                        </div>
                </div>
        </div>

        <div id="activities">
                <div class="container-fluid">
                        <div class="row">
                                <div class="col-md-12 col-sm-12">
                                        <h1 id="title1-activities">Know me more through</h1>
                                </div>
                        </div>
                        <div class="row">
                                <div class="col-md-12 col-sm-12">
                                        <h1 id="title2-activities">My Activities</h1>
                                </div>

                        </div>

                        <div class="row">
                                <h2 style="margin-top: 40px;"><strong>Daily Activity</strong> </h2>
                        </div>
        
                        <div class="row">
                                <div class="col-md-4 col-sm-12">
                                        <img src="https://files.catbox.moe/8pslw0.jpg" class="img-fluid photo" style="margin-top: 20px;" alt="I'm at UI">
                                </div>
        
                                <div class="col-md-8 col-sm-12">
                                        <h3 style="margin-top: 20px;">Studying at Faculty of Computer Science at University of Indonesia</h3>
                                        <p>Every Monday to Friday from 8 a.m to 6 p.m, I spent my time in 
                                        the Faculty of Computer Science at University of Indonesia. 
                                        Since my schedule is not full all the time, I sometime use my free time doing 
                                        some tasks in the library of Faculty of Computer Science.
                                        </p>
                                        <a href="/schedule" style="color:  #E58E8E;"> Click here to see my schedule</a>
                                </div>
                        </div>
        
                        <div class="row">
                                <h2 style="margin-top: 40px; margin-bottom: 20px;"><strong>Organizations</strong></h2>
                        </div>
        
                        <div class="row">
                                <div class="col-md-4 col-sm-12">
                                        <img src="https://files.catbox.moe/ukcfvw.jpg" class="img-fluid photo" alt="Paragita's Concert">
                                </div>
                
                                <div class="col-md-8 col-sm-12">
                                        <h3>Member of Paragita</h3>
                                        <p>Paragita is a choir organization in University of Indonesia that accomodates 
                                        students who love singing together and developing the singing skills. 
                                        Five months ago, I involved in one of Paragita's concert called 'Senandung Rahayat' 
                                        as one of the soprano singers. It was an exciting experience because it was 
                                        my first experience as a performer.
                                        </p>
                                </div>
                        </div>
        
                        <div class="row">
                                <div class="col-md-4 col-sm-12">
                                        <img src="https://files.catbox.moe/bm92om.jpg" class="img-fluid photo" alt="I'm with BEM Media" style="margin-top: 30px;">
                                </div>
                        
                                <div class="col-md-8 col-sm-12">
                                        <h3 style="margin-top: 30px;">Staff of Media Bureau</h3>
                                        <h4>at Faculty of Computer Science's Student Executive Board</h4>
                                        <p>I am responsible to Media Bureau's program called BEM Up To Date. 
                                        My role is the content writer at BEM's website. I am responsible to 
                                        write about BEM'S activites and post it at BEM's website. Besides that I am also 
                                        responsible to make some posters about Academic and Leadership Department's activites.
                                        </p>
                                </div>
                        </div> 
                </div>
        </div>

        <div id="skills">
                <div class="container" id="skills">
                        <div class="row">
                                <h1 id="skills-title">Dig a little deeper.</h1>
                        </div>
        
                        <div class="row">
                                <div class="col-md-6 col-sm-12">
                                        <h2 class="skills-title2">Day-to-day Comfort</h2>
                                        <ul>
                                                <li>Python</li>
                                                <li>Java</li>
                                                <li>Adobe Illustrator</li>
                                                <li>Figma</li>
                                        </ul>
                                </div>
        
                                <div class="col-md-6 col-sm-12">
                                        <h2 class="skills-title2">Experience with</h2>
                                        <ul>
                                                <li>HTML</li>
                                                <li>CSS</li>
                                        </ul> 
                                </div>
                        </div>
                </div>
        </div>

        <div id="contact">
                <div class="container">
                        <div class="row">
                                <h1 id="contact-title">Let's get in touch.</h1>
                        </div>
                        
                        <div class="row" style="padding: 0rem 0rem 2rem 0rem;">
                                <a class="soc-med" href="https://www.instagram.com/louisanatalikaa/">
                                        <img src="https://files.catbox.moe/0kd1n4.png" alt="Lika's ig" width="35px" height="35px">
                                </a>
        
                                <a class="soc-med" href="https://www.linkedin.com/in/louisa-natalika-239267177">
                                        <img src="https://files.catbox.moe/9oczna.png" alt="Lika's linkedin" width="35px" height="35px">
                                </a>
                        </div>
                </div>
        </div>


{% endblock %}

homepage/templates/schedule.html
{% extends './base.html' %}
{% load static %}


{% block content %}
<div style="background-color:#FFF ">
      <h1 style="font-style: italic;
            font-weight: bold;
            font-size: 4rem;
            color: #E58E8E;
            text-align: left;
            padding: 0rem 1rem 2rem 2rem">
            My Schedules
      </h1>
      {% for object in schedules %}
         <div style="background-color: #FFEFEF; 
            margin: 2rem 5rem 1rem 4rem; 
            box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);">
               <div class="row">
                     <div class="col-md-4 col-sm-12">
                           <div class="row">
                              <h2 style="font-size: 2.5rem; 
                                    padding: 1rem 0rem 0rem 2rem;
                                    font-style: oblique;">
                                    {{ object.activities }}
                              </h2>
                           </div>

                           <div class="row">
                              <h6 style="color: grey;
                                    padding: 0rem 0rem 0rem 2rem;">
                                    {{ object.categories }}
                              </h6>
                           </div>
                     </div>
   
                  
                     <div class="col-md-6 col-sm-12" style="padding: 0rem 0rem 0rem 3rem;">
                           <div class="row">
                              <h6 style="padding: 3rem 0rem 0rem 0rem;">
                                    {{ object.day }} , {{ object.date }}
                              </h6>
                           </div>

                           <div class="row">
                              <h6>{{ object.time }}</h6>
                           </div>

                           <div class="row">
                              <h6> at {{ object.place }}</h6>
                        </div>
                     </div>
                     
                     <div class="col-md-2 col-sm-12" style="padding: 2.5rem 3rem 2rem 2.5rem;">
                              <a class="btn btn-secondary" href="{% url 'homepage:delete_schedule' id=object.id %}" role="button" style="padding: 0.2rem 0.4rem">
                                    Delete schedule
                              </a>
                     </div>
               </div>
         </div>
      {% endfor %}
      
      <div class="row" style="padding: 2rem 0rem 2rem 5rem;">
            <a class="btn btn-primary" href="/add_schedule" role="button" style="padding: 0.2rem 0.4rem">
                        Add More Schedule
            </a>
      </div>
</div>


{% endblock %}

homepage/templates/schedule_form.html
{% extends './base.html' %}
{% load static %}

{% block content %}
<div style="background-color:rgba(220, 228, 219, 0.19); ">

    <div class="container">
        <h1 style="font-style: italic;
            font-weight: bold;
            font-size:3.5rem;
            color: #E58E8E;
            padding: 2rem 0rem 0rem 2rem">
            Add More Schedule
        </h1>
        <form method="POST" action="/schedule/" 
            style="margin: 3rem 4rem 1rem 3rem;
                background-color: antiquewhite;
                box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.2), 0 5px 20px 0 rgba(0, 0, 0, 0.19);
                padding: 2rem 2rem 2rem 2rem;" 
            class="form-group">
                {% csrf_token %}
                <div class="row">
                    <div class="col-md-10 col-sm-12">
                        Day: {{ form.day }}
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 col-sm-12">
                        Date: {{ form.date }}
                    </div>
    
                    <div class="col-md-4 col-sm-12">
                        Time: {{ form.time }}
                    </div>
                </div>
                
                <div class="row">
                    <div class="col-md-10 col-sm-12">
                        Activities: {{ form.activities}}
                    </div>
                </div>
                
                <div class="row">
                    <div class="col-md-10 col-sm-12">
                        Place: {{ form.place }}
                    </div>
                </div>
        
                <div class="row">
                    <div class="col-md-10 col-sm-12">
                        Categories: {{ form.categories }}
                    </div>
                </div>
                
                <div class="row" style="padding: 2rem 0rem 0rem 0rem;">
                    <div class="col-md-10 col-sm-12">
                        <input type="submit" value="Create Schedule" class="btn btn-primary" >
                    </div>
                </div>

                
        </form>
        <div style="padding: 2rem 0rem 2rem 3rem;">
                <a href="/schedule" class="btn btn-secondary">Back to Schedule</a>
        </div>
    </div>
</div>

{% endblock %}